Test::Float::Channel Namespace Reference

Tests for channel constraints More...

## Classes

class | Int
| Test channel between float and integer More...
class | Bool
| Test channel between float and Boolean More...

## Variables

Gecode::FloatNum | step1 = 0.7
Gecode::FloatNum | step2 = 0.1
Int | ci (step1)
Bool | cb (step2)

## Detailed Description

Tests for channel constraints

## Variable Documentation

## step1

Gecode::FloatNum Test::Float::Channel::step1 = 0.7

Definition at line 89 of file channel.cpp.

## step2

Gecode::FloatNum Test::Float::Channel::step2 = 0.1

Definition at line 90 of file channel.cpp.

## ci

Int Test::Float::Channel::ci(step1) | ( | step1 |  | ) |

## cb

Bool Test::Float::Channel::cb(step2) | ( | step2 |  | ) |